Subject: [MMUSIC] How to implement data collaboration applications with SIP and SDP?

From: "zhangwei" <[email-masked]>
Date: Thu, 22 May 2008 11:30:27 +0800

Hi,

Audio and video communication services have definite session description,
negotiation and delivery framework.

But, Rich collaboration applications such as file transfer, web and
application sharing have no related standard document.

So my question is how to implement data collaboration applications with SDP
and SIP?

These collaboration applications different from audio and video services,
can be concessional to a certain degree of delivery delay but very sensitive
to packet loss rate so that they can only be transmitted over TCP transport
layer.

MSRP protocol(RFC4975) is defined for transmitting instant messages in the
context of a session. In addition to plain text messages, MSRP is able to
carry arbitrary MIME compliant content.

Question is: Is it feasible that collaboration applications be transmitted
by MSRP uniformly?( As I kown, draft-ietf-mmusic-file-transfer-mech has
defined the implement of file-transfer using MSRP)

If MSRP is fortunate enough to be able to shoulder this responsibility, I
think RFC4975 still needs some extension. For example, in SDP negotiation
for MSRP session, how to descript the collaboration application type?

RFC4975 defines the media field value MUST be "message".

I want to know if MMUSIC workgroup (or others) is or has a plan to focus
some effort on these problems.

Regards

ZhangWei

_______________________________________________
mmusic mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mmusic

---

From: Miguel Garcia <[email-masked]>
Date: Fri, 23 May 2008 09:03:44 +0300

Zhangwei:

There is at least an Internet-Draft on the topic:

http://www.ietf.org/internet-drafts/draft-garcia-mmusic-sdp-collaboration-00.txt

/Miguel

zhangwei wrote:
> Hi,
> 
>  
> 
> Audio and video communication services have definite session 
> description, negotiation and delivery framework.
> 
>  
> 
> So my question is how to implement data collaboration applications with 
> SDP and SIP?
> 
>  
> 
> These collaboration applications different from audio and video 
> services, can be concessional to a certain degree of delivery delay but 
> very sensitive to packet loss rate so that they can only be transmitted 
> over TCP transport layer.
> 
>  
> 
> MSRP protocol(RFC4975) is defined for transmitting instant messages in 
> the context of a session. In addition to plain text messages, MSRP is 
> able to carry arbitrary MIME compliant content.
> 
>  
> 
> Question is: Is it feasible that collaboration applications be 
> transmitted by MSRP uniformly?( As I kown, 
> draft-ietf-mmusic-file-transfer-mech has defined the implement of 
> file-transfer using MSRP)
> 
>  
> 
> If MSRP is fortunate enough to be able to shoulder this responsibility, 
> I think RFC4975 still needs some extension. For example, in SDP 
> negotiation for MSRP session, how to descript the collaboration 
> application type?
> 
> RFC4975 defines the media field value MUST be “message”.
> 
>  
> 
> ------------------------------------------------------------------------
> 

-- 
Miguel A. Garcia           tel:+358-50-4804586
Nokia Siemens Networks     Espoo, Finland